@charset "UTF-8";

@import url("navigation/logo.css");
@import url("navigation/primary-nav.css");
@import url("navigation/search.css");
@import url("navigation/secondary-mega-menu.css");
@import url("navigation/secondary-nav.css");

:root {
  --max-width: 80rem;
  --nav-border: 2px;
  --nav-height: 3rem;
  --nav-padding: 1rem;
  --nav-secondary: calc(var(--nav-height) * 1.5);
}

#hamburger {
  display: none;
}

#clickout,
#clickout-sub {
  display: flex;
  position: absolute;
  right: 0;
  width: 100dvw;
  z-index: -1;
}

nav {
  & .category-link {
    align-items: center;
    background-color: white;
    column-gap: .5rem;
    cursor: pointer;
    justify-content: center;
    padding: .25rem 1rem;
    -webkit-user-select: none;
    user-select: none;

    & svg {
      height: 18px;
      stroke-width: 1.5;
      width: 18px;
    }

    &.active + .primary-mega-menu {
      display: flex;
      z-index: 1000;
    }
  }
}

.nav--main {
  background: white;
  box-shadow: 0 1px 3px 0px rgba(35, 35, 35, .18);
  flex-direction: column;
  justify-content: center;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 9999;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);

  & .nav--listings {
    font-size: 14px;

    & :is(li, li a) {
      background: inherit;
      height: inherit;
    }

    & li a {
      align-items: center;
      cursor: pointer;
      height: 100%;
      padding: .25rem 1rem;
      position: relative;
    }
  }

  & .logo--wrapper {
    height: inherit;
    max-width: 200px;
    z-index: 10;

    & img {
      max-width: 200px;
    }
  }

  & .dropdown,
  & .search--wrapper {
    height: inherit;
  }
}

/* Width container for nav content */
.nav--wrapper {
  align-items: center;
  flex-direction: column;
  justify-content: center;
  padding: 0 var(--nav-padding);
  width: 100%;

  & > * {
    align-items: center;
    flex-direction: row;
    max-width: var(--max-width);
    width: 100%;
  }
}

.logo--wrapper,
.login-status {
  border: 2px solid white;
  margin: 0 !important;

  &:focus {
    border: 2px solid #333333;
  }
}

.login-status {
  padding: .25rem 1rem;
}

.login-register {
  align-items: center;
  column-gap: .5rem;
  flex-shrink: 0;
  height: inherit;
  padding: .5rem 1rem;

  & svg {
    height: 18px;
    stroke-width: 1.5;
    width: 18px;
  }
}

.nav-list-item {
  position: relative;
}

.kabob-drop {
  height: 100%;
}

.scrolling-progress-bar {
  background: white;
  height: 2px;
  width: 100%;

  & .progress {
    background: var(--color-6);
    height: 2px;
  }
}

#profile-closer {
  position: absolute;
}

nav .login-status a:hover {
  color: var(--color-6);
}

nav:has(.mega-menu.active) .scrolling-progress-bar {
  display: none !important;
}

.search-opener {
  display: none;
}

.search-mobile {
  width: 100%;
}

.nav--primary .initials {
  align-items: center;
  background: var(--color-7);
  border-radius: var(--circle);
  color: var(--compare-more);
  height: 2rem;
  justify-content: center;
  min-width: 2rem;
  padding: 0 .25rem;
}
